import { ReactNode } from "react";
import { BoxProps, AutocompleteProps, UseAutocompleteProps, AutocompleteChangeDetails, FilterOptionsState } from "@mui/material";
export interface GuiAutoCompleteProps<T> {
    label?: ReactNode;
    labelWidth?: string | number;
    labelTextAlign?: "left" | "center" | "right";
    required?: boolean;
    width?: string | number;
    size?: "small" | "medium";
    placeholder?: string;
    readOnly?: boolean;
    disabled?: boolean;
    /**
     * The maximum number of tags that will be visible when not focused.
     * Set `-1` to disable the limit.
     * @default -1
     */
    limitTags?: number;
    optionHeight?: string | number;
    value?: any;
    onChange?: (event: object, value: T[], reason: string, details?: AutocompleteChangeDetails<T>) => void;
    arrOption?: UseAutocompleteProps<any, any, any, any>["options"];
    renderOption?: AutocompleteProps<any, any, any, any>["renderOption"];
    getOptionLabel?: UseAutocompleteProps<any, any, any, any>["getOptionLabel"];
    /**
     * If `true`, the popup won't close when a value is selected.
     * @default true
     */
    disableCloseOnSelect?: boolean;
    /**
     * If `true`, hide the selected options from the list box.
     * @default false
     */
    filterSelectedOptions?: boolean;
    multiple?: boolean;
    children?: ReactNode;
    className?: string;
    style?: React.CSSProperties;
    isOptionEqualToValue?: any;
    boxProps?: BoxProps;
    props?: AutocompleteProps<T, any, any, any>;
    filterOptions?: (options: any[], state: FilterOptionsState<any>) => any[];
    disableClearable?: boolean;
}
