import { ReactNode } from "react";
import { BoxProps, ButtonProps } from "@mui/material";
declare module "@mui/material" {
    interface ButtonPropsSizeOverrides {
        tiny: true;
        xTiny: true;
    }
}
export interface GuiButtonProps extends ButtonProps {
    label?: ReactNode;
    startIconName?: string;
    endIconName?: string;
    component?: React.ElementType;
    onClick?: (event: React.MouseEvent<HTMLButtonElement>) => void;
    disableElevation?: boolean;
    /**
     * href 속성과 함께 사용되며, 창이 열리는 위치를 지정한다.
     * 예) _self, _blank, _parent, _top
     */
    target?: string;
    children?: ReactNode;
    className?: string;
    style?: React.CSSProperties;
    boxProps?: BoxProps;
    props?: ButtonProps;
}
