import { ReactNode } from "react";
import { BoxProps, IconButtonProps } from "@mui/material";
declare module "@mui/material" {
    interface IconButtonPropsSizeOverrides {
        xTiny: true;
        tiny: true;
    }
}
export interface GuiIconButtonProps extends IconButtonProps {
    /**
     * The variant to use.
     * @default 'outlined'
     */
    variant?: "outlined" | "contained" | "clear";
    /**
     * The color of the component. It supports those theme colors that make sense for this component.
     * @default 'primary'
     */
    color?: "primary" | "secondary" | "error" | "warning" | "success" | "info";
    component?: React.ElementType;
    onClick?: (event: React.MouseEvent<HTMLButtonElement>) => void;
    children?: ReactNode;
    className?: string;
    style?: React.CSSProperties;
    boxProps?: BoxProps;
    props?: IconButtonProps;
}
