import { ReactNode } from 'react';
import { BoxProps } from '@mui/material';
import { ToggleButtonGroupProps, ToggleButtonGroupClasses } from '@mui/material';
declare module '@mui/material' {
    interface ToggleButtonGroupPropsSizeOverrides {
        tiny: true;
    }
}
export interface GuiToggleButtonProps extends ToggleButtonGroupProps {
    label?: ReactNode;
    labelWidth?: string | number;
    labelTextAlign?: "left" | "center" | "right";
    required?: boolean;
    arrBtn?: string[];
    /**
    * The size of the component.
    * @default small
    */
    size?: "tiny" | "small" | "medium" | "large";
    /**
     * If `true`, the component is disabled.
     * @default false
     */
    disabled?: boolean;
    /**
     * The content of the component.
    */
    children?: React.ReactNode;
    /**
    * Override or extend the styles applied to the component.
    */
    classes?: Partial<ToggleButtonGroupClasses>;
    /**
    * The color of a button when it is selected.
    * @default standard
    */
    color?: 'standard' | 'primary' | 'secondary';
    /**
    * If `true`, only allow one of the child ToggleButton values to be selected.
    * @default false
    */
    exclusive?: boolean;
    /**
    * If `true`, the button group will take up the full width of its container.
    * @default false
    */
    fullWidth?: boolean;
    /**
    * Callback fired when the value changes.
    *
    * @param {object} event The event source of the callback.
    * @param {any} value of the selected buttons. When `exclusive` is true
    * this is a single value; when false an array of selected values. If no value
    * is selected and `exclusive` is true the value is null; when false an empty array.
    */
    onChange?: (event: React.MouseEvent<HTMLElement>, value: any) => void;
    /**
    * The component orientation (layout flow direction).
    * @default 'horizontal'
    */
    orientation?: 'horizontal' | 'vertical';
    className?: string;
    style?: React.CSSProperties;
    boxProps?: BoxProps;
    props?: ToggleButtonGroupProps;
}
