import { ReactNode } from 'react';
import { BoxProps, CheckboxProps } from '@mui/material';
export interface GuiCheckBoxProps extends CheckboxProps {
    color?: 'primary' | 'secondary' | 'error' | 'info' | 'success' | 'warning' | 'default';
    size?: 'small' | 'medium';
    /**
     * The icon to display when the component is unchecked.
     */
    icon?: React.ReactNode;
    /**
    * The icon to display when the component is checked.
    */
    checkedIcon?: React.ReactNode;
    /**
    * @default false
    */
    disabled?: boolean;
    label?: React.ReactNode;
    labelPlacement?: "bottom" | "top" | "end" | "start";
    children?: ReactNode;
    className?: string;
    style?: React.CSSProperties;
    boxProps?: BoxProps;
    props?: CheckboxProps;
}
