import { ReactNode } from 'react';
import { BoxProps, Theme, SxProps } from '@mui/material';
import { DatePickerProps, CalendarPickerView } from '@mui/x-date-pickers';
export interface GuiDatePickerProps {
    label?: ReactNode;
    labelWidth?: string | number;
    labelTextAlign?: "left" | "center" | "right";
    required?: boolean;
    variant?: "desktop" | "mobile" | "static";
    width?: string | number;
    size?: "small" | "medium";
    disabled?: boolean;
    readOnly?: boolean;
    minDate?: Date;
    maxDate?: Date;
    inputFormat?: string;
    mask?: string;
    helperText?: string;
    views?: readonly CalendarPickerView[];
    openTo?: CalendarPickerView;
    open?: boolean;
    componentsProps?: any;
    today?: boolean;
    value: Date | null;
    onChange: (date: Date, keyboardInputValue?: string) => void;
    onAccept?: (date: Date, keyboardInputValue?: string) => void;
    onBlur?: (e: any) => void;
    sx?: SxProps<Theme>;
    children?: ReactNode;
    className?: string;
    style?: React.CSSProperties;
    boxProps?: BoxProps;
    props?: DatePickerProps<any, any>;
}
