import { ReactNode } from "react";
import { BoxProps, Theme, SxProps } from "@mui/material";
import { DateRangeProps, Range } from "react-date-range";
export interface GuiDateRangePickerProps extends DateRangeProps {
    label?: ReactNode;
    labelWidth?: string | number;
    labelTextAlign?: "left" | "center" | "right";
    required?: boolean;
    width?: string | number;
    size?: "small" | "medium";
    disabled?: boolean;
    readOnly?: boolean;
    delimiter?: ReactNode;
    range?: Range | undefined;
    /**
     * show/hide selection display row. Uses dateDisplayFormat for formatter.
     * @default false
     */
    showDateDisplay?: boolean;
    retainEndDateOnFirstSelection?: boolean;
    today?: boolean;
    sx?: SxProps<Theme>;
    children?: ReactNode;
    className?: string;
    style?: React.CSSProperties;
    boxProps?: BoxProps;
    reset?: boolean;
    onReset?: any;
    props?: DateRangeProps;
}
