import { ReactNode } from 'react';
import { BoxProps, Theme, SxProps } from '@mui/material';
import { DateTimePickerProps, CalendarPickerView, ClockPickerView } from '@mui/x-date-pickers';
export declare type CalendarOrClockPickerView = CalendarPickerView | ClockPickerView;
export interface GuiDateTimePickerProps {
    label?: ReactNode;
    labelWidth?: string | number;
    labelTextAlign?: "left" | "center" | "right";
    required?: boolean;
    displayStaticWrapperAs?: "desktop" | "mobile" | "static";
    variant?: "desktop" | "mobile" | "static";
    width?: string | number;
    size?: "small" | "medium";
    disabled?: boolean;
    readOnly?: boolean;
    ampm?: boolean;
    minDate?: Date;
    maxDate?: Date;
    minDateTime?: Date;
    maxDateTime?: Date;
    inputFormat?: string;
    mask?: string;
    helperText?: string;
    views?: readonly CalendarOrClockPickerView[];
    openTo?: CalendarPickerView;
    open?: boolean;
    componentsProps?: any;
    today?: boolean;
    value: Date | null;
    onChange: (date: Date, keyboardInputValue?: string) => void;
    onAccept?: (date: Date, keyboardInputValue?: string) => void;
    onBlur?: (e: any) => void;
    sx?: SxProps<Theme>;
    children?: ReactNode;
    className?: string;
    style?: React.CSSProperties;
    boxProps?: BoxProps;
    props?: DateTimePickerProps<any, AnalyserOptions>;
}
