import { ReactNode } from 'react';
import { BoxProps, Theme, SxProps } from '@mui/material';
import { TimePickerProps, ClockPickerView } from '@mui/x-date-pickers';
export interface GuiTimePickerProps {
    label?: ReactNode;
    labelWidth?: string | number;
    labelTextAlign?: "left" | "center" | "right";
    required?: boolean;
    displayStaticWrapperAs?: "desktop" | "mobile" | "static";
    variant?: "desktop" | "mobile" | "static";
    width?: string | number;
    size?: "small" | "medium";
    disabled?: boolean;
    readOnly?: boolean;
    ampm?: boolean;
    minTime?: Date;
    maxTime?: Date;
    inputFormat?: string;
    mask?: string;
    helperText?: string;
    views?: readonly ClockPickerView[];
    openTo?: ClockPickerView;
    open?: boolean;
    value: Date | null;
    onChange: (date: Date, keyboardInputValue?: string) => void;
    onAccept?: (date: Date, keyboardInputValue?: string) => void;
    onBlur?: (e: any) => void;
    sx?: SxProps<Theme>;
    children?: ReactNode;
    className?: string;
    style?: React.CSSProperties;
    boxProps?: BoxProps;
    props?: TimePickerProps<any, any>;
}
