import { ReactNode } from "react";
import { DialogProps } from "@mui/material";
declare type DialogSize = "tiny" | "small" | "medium" | "large" | string | number;
interface GuiDialogProps extends Omit<DialogProps, "maxWidth"> {
    subject?: ReactNode;
    setOpen?: (open: boolean) => void;
    size?: DialogSize;
    draggable?: boolean;
    isCustom?: boolean;
    height?: string | number;
    tabsChildren?: ReactNode;
    actionsChildren?: ReactNode;
    onCloseBtn?: (event: React.MouseEvent<HTMLButtonElement>) => void;
    msg?: string | ReactNode;
    onCancel?: () => void;
    onConfirm?: () => void;
    className?: string;
    style?: React.CSSProperties;
    props?: DialogProps;
}
export { GuiDialogProps, DialogSize };
