import { BaseTextFieldProps, BoxProps, InputProps } from "@mui/material";
import { ReactNode } from "react";
export interface GuiInputProps extends BaseTextFieldProps {
    label?: ReactNode;
    labelWidth?: string | number;
    labelTextAlign?: "left" | "center" | "right";
    required?: boolean;
    width?: string | number;
    size?: "small" | "medium";
    placeholder?: string;
    disabled?: boolean;
    readOnly?: boolean;
    bold?: boolean;
    textAlign?: "left" | "center" | "right";
    maxLength?: string | number;
    /**
     * Element placed before the children.
     */
    startUnit?: ReactNode;
    /**
     * Element placed after the children.
     */
    endUnit?: ReactNode;
    /**
     * Element placed before the children.
     */
    startIcon?: ReactNode;
    /**
     * Element placed after the children.
     */
    endIcon?: ReactNode;
    /**
     * startIconName='Save'.
     */
    startIconName?: string;
    /**
     * endIconName='Save'.
     */
    endIconName?: string;
    autoFocus?: boolean;
    onChange?: InputProps["onChange"];
    /**
     * Number format types
     */
    isNumber?: boolean;
    maskOptions?: any;
    thousandSeparator?: boolean | string;
    decimalSeparator?: string;
    allowedDecimalSeparators?: Array<string>;
    decimalScale?: number;
    fixedDecimalScale?: boolean;
    allowNegative?: boolean;
    allowLeadingZeros?: boolean;
    /**
     * The content of the component.
     */
    children?: React.ReactNode;
    className?: string;
    style?: React.CSSProperties;
    boxProps?: BoxProps;
    props?: BaseTextFieldProps;
    readOnlyWhite?: boolean;
}
