import React from 'react';
import { Theme, SxProps } from '@mui/material';
import { PanelContainerProps } from './shared';
interface PagePanelContainerProps {
    /**
     * column 갯수 설정
     */
    column?: 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8;
    /**
     * label text 정렬
     */
    labelMinWidth?: number;
    labelMaxWidth?: number;
    labelColor?: string;
    textAlign?: 'left' | 'center' | 'right';
    renderComponent?: PanelContainerProps['renderComponent'];
    padding?: 'compact' | 'normal' | number;
    columnSpacing?: number;
    isCollapse?: boolean;
    sx?: SxProps<Theme>;
    onFold?: (folded: boolean) => void;
}
declare const PagePanelContainer: React.FC<PagePanelContainerProps>;
export default PagePanelContainer;
